Bug 859733 - [abrt] rhythmbox-2.97-1.fc17: handle_pad_block: Process /usr/bin/rhythmbox was killed by signal 6 (SIGABRT)
[abrt] rhythmbox-2.97-1.fc17: handle_pad_block: Process /usr/bin/rhythmbox wa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:aa2d17f08333ba3b881b074ef93...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-23 12:04 EDT by David Duncan
Modified: 2013-07-31 17:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 17:04:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (5.90 KB, text/plain)
2012-09-23 12:04 EDT, David Duncan
no flags Details
File: environ (2.75 KB, text/plain)
2012-09-23 12:04 EDT, David Duncan
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-23 12:04 EDT, David Duncan
no flags Details
File: backtrace (79.62 KB, text/plain)
2012-09-23 12:04 EDT, David Duncan
no flags Details
File: cgroup (130 bytes, text/plain)
2012-09-23 12:04 EDT, David Duncan
no flags Details
File: maps (119.83 KB, text/plain)
2012-09-23 12:04 EDT, David Duncan
no flags Details
File: dso_list (26.78 KB, text/plain)
2012-09-23 12:04 EDT, David Duncan
no flags Details
File: var_log_messages (161 bytes, text/plain)
2012-09-23 12:04 EDT, David Duncan
no flags Details
File: open_fds (3.53 KB, text/plain)
2012-09-23 12:04 EDT, David Duncan
no flags Details

  None (edit)
Description David Duncan 2012-09-23 12:04:08 EDT
Description of problem:
Open rhythmbox. 
Press play button with shuffle enabled (no specific playlist or queue content) 
Click "Edit", choose "Plugins"
Enable "ReplayGain" by placing check in checkbox to the left of the setting. 
rhythmbox crashes.  


Version-Release number of selected component:
rhythmbox-2.97-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: handle_pad_block
kernel:         3.3.4-5.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #6 handle_pad_block at gstpad.c
: #8 gst_pad_alloc_buffer_full at gstpad.c
: #9 gst_pad_alloc_buffer at gstpad.c
: #10 gst_proxy_pad_bufferalloc_default at gstghostpad.c
: #11 gst_pad_buffer_alloc_unchecked at gstpad.c
: #12 gst_pad_alloc_buffer_full at gstpad.c
: #13 gst_pad_alloc_buffer at gstpad.c
: #14 gst_proxy_pad_bufferalloc_default at gstghostpad.c
: #15 gst_pad_buffer_alloc_unchecked at gstpad.c
: #16 gst_pad_alloc_buffer_full at gstpad.c
Comment 1 David Duncan 2012-09-23 12:04:10 EDT
Created attachment 616143 [details]
File: core_backtrace
Comment 2 David Duncan 2012-09-23 12:04:11 EDT
Created attachment 616144 [details]
File: environ
Comment 3 David Duncan 2012-09-23 12:04:12 EDT
Created attachment 616145 [details]
File: limits
Comment 4 David Duncan 2012-09-23 12:04:14 EDT
Created attachment 616146 [details]
File: backtrace
Comment 5 David Duncan 2012-09-23 12:04:15 EDT
Created attachment 616147 [details]
File: cgroup
Comment 6 David Duncan 2012-09-23 12:04:17 EDT
Created attachment 616148 [details]
File: maps
Comment 7 David Duncan 2012-09-23 12:04:18 EDT
Created attachment 616149 [details]
File: dso_list
Comment 8 David Duncan 2012-09-23 12:04:20 EDT
Created attachment 616150 [details]
File: var_log_messages
Comment 9 David Duncan 2012-09-23 12:04:21 EDT
Created attachment 616151 [details]
File: open_fds
Comment 10 Joe Wrigley 2013-04-23 07:17:05 EDT
Same issue, reproduced in the same way. abrt found 909570 as the "known issue" (flagged as a potential duplicate of this one).
Comment 11 Fedora End Of Life 2013-07-03 16:44:56 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-07-31 17:04:42 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.